/******************
    User custom JS
    ---------------

   Put JS-functions for your template here.
   If possible use a closure, or add them to the general Template Object "Template"
*/


$(document).on('ready pjax:scriptcomplete',function(){
    /**
     * Code included inside this will only run once the page Document Object Model (DOM) is ready for JavaScript code to execute
     * @see https://learn.jquery.com/using-jquery-core/document-ready/
     */
});



// A function to handle "secondary" checkboxes
function secondaryCheckboxes(qID, primaryPosition, secondaryCount) {
	// Identify the elements
	var thisQuestion = $('#question'+qID);
	var primaryRow = $('li.question-item:eq('+(primaryPosition-1)+')', thisQuestion).closest('li.question-item');
	var primaryInput = $('input:checkbox', primaryRow);
	var secondaryRows = primaryRow.nextAll('li.question-item:lt('+(secondaryCount)+')');
	var secondaryInputs = $('input:checkbox', secondaryRows);
 
	// Indent the secondaries
	secondaryRows.css({ 'margin-left':'2.5em' });
 
	// Initial states of the secondary answers
	if (primaryInput.prop('checked') == false ) {
		secondaryRows.hide(); 
	} 
 
	// A listener on the primary answer to show or hide secondary answers 
	primaryInput.on('change', function (event) { 
 
		// Hide/show the secondary answers accordingly
		if (!$(this).is(':checked')) {
			secondaryRows.hide();				
			secondaryInputs.prop('checked', false).trigger('change');
		}
		else {
			secondaryRows.show(); 
		}
	});
}